
#* Not to be used directly, but to be imported from loops inside other pages.
 * It assumes $a set to the album, and $i set to the album's featured image,
 * or None if there is no images in the album, and $allow_writes to True if
 * the user can write to the album.
 *#

<div class="thumbframe">

<div class="thumbcontainer">
  <a class="imglink" href="album?aname=$a.fname">
    #if $i:
      <img class="thumb" alt="$i.fname"
        src="thumb?aname=$i.album.fname;iname=$i.fname"/>
    #end if
  </a>
</div>
<div class="thumbinfo">
  <span class="caption"><a id="caption_$a.fname" href="album?aname=$a.fname">
    $a.title</a></span><br/>
  <span class="desc" id="desc_$a.fname">
  #if $a.mdata.desc:
    $a.mdata.desc<br/>
  #end if
  </span>
  <span class="desc"><i>$a.count images</i></span><br/>
  #if $a.children_allowed($user):
    <span class="desc"><i>$len($a.children_allowed($user)) sub-albums</i>
    </span><br/>
  #end if
  <span class="desc"><i>$a.strmtime</i></span><br/>
  #if $allow_writes:
    <a class="edit" href="javascript:a_show_editcaption('$a.fname')">
      edit caption</a>
    <a class="edit" href="javascript:a_show_editdesc('$a.fname')">
      edit desc</a>
  #end if
</div>

#if $allow_writes:
<div id="editcaption_$a.fname" style="display: none">
  <form action="unused">
    <input type="text" id="cvalue_$a.fname" value="$a.mdata.caption"/><br/>
    <button onclick="javascript:a_submit_editcaption('$a.fname'); return false">
      submit</button>
    <button onclick="hide('editcaption_$a.fname');return false">
      cancel</button><br/>
  </form>
</div>

<div id="editdesc_$a.fname" style="display: none">
  <form action="unused">
    <textarea id="dvalue_$a.fname" rows="3" cols="26">$a.mdata.desc</textarea><br/>
    <button onclick="javascript:a_submit_editdesc('$a.fname'); return false">
      submit</button>
    <button onclick="hide('editdesc_$a.fname');return false">
      cancel</button><br/>
  </form>
</div>
#end if

</div>


